toolzerhub API Docs

List hashtag videos

Returns videos and Shorts for required hashtag. Optional fields select content kind, localization, and pagination with page_cursor.

1 credit / requestBilled only on success
GET
/v2/youtube/hashtag

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

hashtag*string

Hashtag text without the # prefix.

Length1 <= length
content_kind?string

Return all matching videos or only Shorts.

Value in

  • "all"
  • "shorts"
region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

page_cursor?string

Cursor returned by the previous response.

curl -X GET "https://example.com/v2/youtube/hashtag?hashtag=wildlifefilmmaking" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "meta": {      "hashtag": "string",      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}